import 'package:flutter/material.dart';
import 'package:syncrow_web/utils/color_manager.dart';

class DeviceControlsContainer extends StatelessWidget {
  const DeviceControlsContainer({required this.child, this.padding, super.key});
  final Widget child;
  final double? padding;

  @override
  Widget build(BuildContext context) {
    return Container(
      decoration: BoxDecoration(
        borderRadius: BorderRadius.circular(20),
        color: ColorsManager.greyColor.withOpacity(0.2),

        // boxShadow: <BoxShadow>[
        //   BoxShadow(
        //       color: ColorsManager.blackColor.withOpacity(0.05),
        //       blurRadius: 6.0,
        //       offset: const Offset(0, 5),
        //       spreadRadius: 0)
        // ],
      ),
      padding: EdgeInsets.all(padding ?? 12),
      child: child,
    );
  }
}
